Skip to main content
PUT
/
users
/
{user_identifier}
/
monthly_cash_flow_profile
Update monthly cash flow profile
curl --request PUT \
  --url https://int-api.mx.com/users/{user_identifier}/monthly_cash_flow_profile \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "monthly_cash_flow_profile": {
    "goals_contribution": 500,
    "uses_estimated_goals_contribution": false
  }
}
'
import requests

url = "https://int-api.mx.com/users/{user_identifier}/monthly_cash_flow_profile"

payload = { "monthly_cash_flow_profile": {
        "goals_contribution": 500,
        "uses_estimated_goals_contribution": False
    } }
headers = {
    "Accept-Version": "<accept-version>",
    "Authorization": "Basic <encoded-value>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'Accept-Version': '<accept-version>',
    Authorization: 'Basic <encoded-value>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    monthly_cash_flow_profile: {goals_contribution: 500, uses_estimated_goals_contribution: false}
  })
};

fetch('https://int-api.mx.com/users/{user_identifier}/monthly_cash_flow_profile', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "monthly_cash_flow_profile": {
    "guid": "MCF-4e431124-4a29-abf9-f059-ab232ac14dbf",
    "user_guid": "USR-6c83f63c-efcc-0189-3f14-100f0bad378a",
    "budgeted_income": 5000,
    "budgeted_expenses": 3500,
    "goals_contribution": 500,
    "estimated_goals_contribution": null,
    "uses_estimated_goals_contribution": false
  }
}
Use this endpoint to update the attributes of a monthly_cash_flow_profile.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

user_identifier
string
required

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Body

application/json
monthly_cash_flow_profile
object

Response

200 - application/json

OK

monthly_cash_flow_profile
object